/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

html {
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
    border:none;
    max-width: 100%;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
body {
    padding:0;
    margin:0;
    color:#4d4d4d;
    background: #f6f5f5;
}
.contentwrap,
.post-graphic {
    max-width:1600px;
    margin:0 auto;
    position:relative;
    padding:80px;
}


.table {
    display: table;
    width: 100%;
    height: 100%;
    table-layout: fixed;
}
.col {
    display: table-cell;
    vertical-align: top;
    height: 100%;
}
/*** text ***/

/* global form styles */

/* ==========================================================================
   Header
 ========================================================================== */
header.top {
    background: #fff;
}
header .contentwrap {
    padding: 40px 80px;
}
header.top .logo {
    position:absolute;
    top: 50%;
    margin-top: -66px;
    left:100px;
    width:260px;
    height: 130px;
}
header.top .logo h1 {
    margin:0;
}
.header-menu,
.main-menu {
    padding-left:300px;
    text-align:right;
}
.header-menu ul {
    list-style:none;
    padding: 0;
    margin: 0;
}
.header-menu li {
    display:inline-block;
    margin:5px 20px;
}
.header-menu a {
    background:#1895a1;
    color:#fff;
    padding: 2px 15px;
    position:relative;
    height:20px;
    line-height:20px;
    display:block;
    text-decoration:none;
}
.header-menu a::before {
    content:"";
    position:absolute;
    right:100%;
    top:0;
    border-bottom: 24px solid #1895a1;
    border-left: 24px solid transparent;
}
.header-menu a::after {
    content:"";
    position:absolute;
    left:100%;
    top:0;
    border-top: 24px solid #1895a1;
    border-right: 24px solid transparent;
}
.main-menu {
    color:#b8b9b9;
}
.main-menu ul {
    list-style:none;
    padding:0;
    margin:0;
}
.main-menu > ul {
    display:inline-block;
    position:relative;
}
.main-menu > ul > li {
    text-transform: uppercase;
    display:inline-block;
    padding: 40px;
    text-align:left;
}
.main-menu > ul::after {
    content:"";
    position:absolute;
    bottom:0;
    left:15%;
    right:0;
    border-top:1px solid #2197a4;
}
.main-menu li > ul {
    position:absolute;
    background:#fff;
    z-index:100;
    font-size:16px;
    left:0;
    right:0;
    padding-left:25%;
    padding-top:30px;
    display: none;
    top:100%;
}
.main-menu > ul > li > ul::after {
    content:"";
    position:absolute;
    top:0;
    bottom:0;
    left:100%;
    width:0;
    padding-right:100vw;
    marign-right:-100vw;
    background:#fff;
}
.main-menu li:hover > ul {
    display: block;
}
.main-menu li > ul .title {
    font-size:16px;
    font-weight:600;
}
.main-menu a,
.main-menu .title,
.main-menu .subtitle {
    display:block;
}
.main-menu a {
    text-decoration:none;
    color:inherit;
}
.main-menu .title {
    color:#1895a1;
    font-size:35px;
    font-weight:bold;
}
.main-menu li:hover,
.main-menu li:hover .title
{
    color:#dc175d;
}

.main-menu li li:hover,
.main-menu li li:hover .title
{
    color:#1895a1;
}
.main-menu li li {
    display:inline-block;
    width:30%;
    margin-right:3%;
    margin-bottom:3%;
    vertical-align:top;
}
#mobile-menu {
    display: none;
    position: absolute;
    position: fixed;
    top:5px;
    right:5px;
    background: #1895a1 url(https://keo-cms.appspot.com.storage.googleapis.com/sites/conservatorium/app_files/img/menu-icon.svg) center no-repeat;
    background-size: 24px;
    font-size: 24px;
    padding: 8px;
    width: 24px;
    height: 24px;
    margin: 2px;
    margin-bottom: 0;
    cursor: pointer;
    z-index:100;
}


/***** Slide menu ****/
.slide-menu {
    display:none;
}
.slide-menu {
	background: #ccc;
    width:240px;
    z-index:1000;
	position: fixed;
	height: 100%;
	top: 0;
	right: -240px;
	overflow-y:scroll;
}
.slide-menu-active .slide-menu {
    right: 0px;
}
.site-content-menu-slide {
    overflow-x:hidden;
    position:relative;
    right:0;
}
/* transition for menu slide */
.slide-menu,
.site-content-menu-slide,
#mobile-menu {
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.slide-menu h3 {
	padding: 1em;
	color:#fff;
	background:#999;
	margin:0;
}
.slide-menu ul {
    padding:0;
    margin:0;
    list-style:none;
}
.slide-menu ul ul {
	background:#999;
}
.slide-menu ul ul ul{
	background:#666;
}
.slide-menu li {
    position:relative;
}
.slide-menu li > ul {
    display:none;
}
.slide-menu li.expand-active > ul {
    display:block;
}
.slide-menu a {
	display: block;
	color: #fff;
	font-size: 1.1em;
	font-weight: 300;
	border-bottom: 1px solid #666;
	padding: 18px;
	text-decoration:none;
}
.slide-menu a:hover {
	background: #1895a1;
}
.slide-menu ul .expand {
    position: absolute;
    top: 0;
    right: 0;
    border-left: 1px solid #030b16;
    height: 61px;
    width: 50px;
    cursor: pointer;
}
.slide-menu ul .expand i {
    content:"";
    display: block;
    height: 62px;
    width: 48px;
    background: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/conservatorium/app_files/img/menu-drop.svg') no-repeat center center;
    background-size: 30%;
    -webkit-transition: -webkit-transform 500ms ease;
    transition: -webkit-transform 500ms ease;
    transition: transform 500ms ease;
    transition: transform 500ms ease, -webkit-transform 500ms ease;
}
.expand-active > .expand i {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}
/* ==========================================================================
   page graphic
 ========================================================================== */
.page-graphic {
    color:#fff;
    background-color:#666;
    padding-top:100px;
    padding-bottom:500px;
    background-position:center;
    background-size:cover;
    font-size:24px;
}
.page-graphic a {
    color:inherit;
}
.page-graphic.fallback {
    background-image: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/conservatorium/app_files/img/fallback.jpg');
}

.post-graphic {
    margin-top:-450px;
    background:#fff;
    min-height:500px;
}
.page-graphic h1,
.page-graphic h2 {
    margin:0;
    text-transform:uppercase;
    line-height:1;
    font-size:72px;
}
.page-graphic h2 {
    font-weight: normal;
    font-size:62px;
}

/*** ====== forms generic ====== ***/
form p {
    text-align: left;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin:0;
}
form p.last {
    margin-bottom: 10px;
}
form p.wrapper {
    position: relative;
    padding-bottom: 18px;
}
.error { color: red; }
.center {
    text-align:center;
}
form span {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: 33.33%;
    padding: 0 5px;
    padding-bottom: 18px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
span.half {
    position: relative;
    display: inline-block;
    vertical-align: baseline;
    width: 50%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
form span.full {
    display: block;
    width: 100%;
}
.small {
    font-size: 12px;
}
label.infield {
    position: absolute;
    color: grey;
    font-weight: normal;
    padding-left: 10px;
    line-height: 40px;
}
label.error {
    display: block;
    position: absolute;
    bottom:0;
    font-size: 13px;
    line-height: 15px;
    color: red;
}
textarea {
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
}
select {
    font: 1em 'Montserrat';
}
form input,
form select {
    width: 100%;
    height: 40px;
    padding-left: 10px;
    line-height: 40px;
    border: 1px solid #00567f;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
form textarea {
    width: 100%;
    height: 160px;
    padding: 10px;
    border: 1px solid #00567f;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
form input[type="checkbox"],
form input[type="radio"]{
    display: inline-block;
    width: 40px;
    font-family: 'Montserrat', sans-serif;
    margin-bottom:0;
}
form select {
    padding-left:0;
}
form button {
    cursor: pointer;
    background-color: #eb3672;
    color: #FFF !important;
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    padding: 10px 10%;
    -moz-box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.41);
    -webkit-box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.41);
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.41);
    margin-top: 10px;
    -webkit-transition: background-color 0.5s ease-in-out;
    -moz-transition: background-color 0.5s ease-in-out;
    transition: background-color 0.5s ease-in-out;
    border:0;
}
form button:hover {
    background-color: #1895a1;
    -moz-box-shadow: 0 0 0 0;
    -webkit-box-shadow: 0 0 0 0;
    box-shadow: 0 0 0 0;
}

/* ==========================================================================
   splash page
 ========================================================================== */
.t-splash .page-graphic p {
    max-width:60%;
}
.events-feed {
    position:relative;
}
.event a, .event {
    text-decoration:none;
    color:inherit;
}
.event {
    position:relative;
    color:#2a2a2a;
    display:block;
    min-height:700px;
}

.sub-page .event {
    min-height:400px;
}
.sub-page.events-feed .event:first-child a::before {
    content:'Up Next';
    display:block;
    font-size:24px;
    color:#d91a53;
    text-transform:uppercase;
    margin-bottom:50px;
    font-weight:bold;
}
.sub-page .event .event-text {
    padding-bottom:80px;
}
.sub-page .event .event-text::after {
    position:absolute;
    bottom:40px;
    left:40px;
    content:'More';
    display:block;
    font-size:24px;
    color:#d91a53;
    text-transform:uppercase;
    font-weight:bold;
}
.event h4 {
    color:#5c5c5c;
    font-size:60px;
    text-transform:uppercase;
}
.event h5 {
    font-weight:normal;
    color:#eb3672;
    text-transform:uppercase;
}
.event.product-tile h5,
.event.product-tile .event-tag{
    color: #1895a1;
}
.event.page h5,
.event.page .event-tag {
    color: #e77224;
}
.event-graphic {
    position:absolute;
    top:0;
    bottom:0;
    width:50%;
    background-color: lightgrey;
    background-position:top;
    background-size:cover;
}
.event-graphic .date {
    position:absolute;
    left:0;
    bottom:0;
    background-color:#ffffff;
    color:#d91a53;
    text-align:center;
    font-weight:bold;
    font-size:28px;
    padding-bottom: 10px;
    width:180px;
}
.event-graphic .date .day {
    background-color:#d91a53;
    color:#ffffff;
    display:block;
    font-size:120px;
    font-weight:bold;
    padding: 5px 15px;
    margin-bottom: 10px;
}
.sub-page .event-graphic .date {
    width:140px;
}
.sub-page .event-graphic .date .day {
    font-size:90px;
}
.event-text {
    padding:40px;
}
.event-tag {
    position:absolute;
    bottom:40px;
    left:40px;
    font-size:60px;
    color:#d91a53;
    font-weight:bold;
}
.event-text h4 {
    margin: 0.1em 0;
    line-height: 0.8;
}
.event-text h5 {
    font-size:60px;
    margin:0;
}
#content .event a {
    font-weight: normal;
    color: inherit;
}
.event-text p {
    font-size:20px;
}
.event-text p:first-of-type {
    margin-top:50px;
}
.event.event-tile .event-text,
.sub-page .event .event-text {
    padding-right:52%;
}
.event.product-tile .event-text {
    padding-left:52%;
}
.event.product-tile .event-tag {
    left:52%;
}
.event.event-tile .event-graphic,
.sub-page .event .event-graphic {
    right:0;
}
.event.product-tile .event-graphic {
    left:0;
}

/*============ Contact Form page ============*/
.contact-details {
    display: inline-block;
    vertical-align: top;
    width: 50%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 20px 0;
}
span.opening-days {
    color: #eb3672;
}
.contact-details .highlight {
    font-size:inherit;
}
.t-contact .contact-details:nth-of-type(odd){
    padding-right: 2%;
}
.t-contact .contact-details:nth-of-type(even){
    padding-left: 2%;
}
.contact-details h4 {
    margin-top:0;
}
.page-content .contact-details a {
    font-weight: normal;
    color: inherit;
}
.contact-details p {
    margin: 0;
}
.contact.table {
    height: 340px;
    table-layout: fixed;
    padding-top: 20px;
    padding-bottom: 10px;
}
.t-contact .col {
    width: 50%;
}
.t-contact .col.form {
    padding-right: 30px;
}
.t-contact form span:first-of-type {
    padding-left:0;
}
.t-contact form span:last-of-type {
    padding-right: 0;
}
.nowrap {
    white-space: nowrap;
}
.t-contact .col.map {
    position: relative;
    height: 340px;
    padding-left: 10px;
}
#map-click {
    position: absolute;
    display: none;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
}
#contact-map {
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 340px;
}
#contact-form button {
    width: 100%;
    margin-top:0;
}
/* ==========================================================================
   products feed
 ========================================================================== */
.product {
    position:relative;
    display:block;
    padding:5%;
    padding-right:65%;
    text-decoration:none;
    color:#5c5c5c;
}
.product h2 {
    font-size: 48px;
    line-height: 60px;
    text-transform: uppercase;
}

.product-graphic {
    position:absolute;
    left:40%;
    right:0;
    top:0;
    bottom:0;
    background-size:cover;
    background-position:center;
}
.product-graphic.fallback {
    background-image: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/conservatorium/app_files/img/fallback.jpg');
}
.products-feed .product-text::after,
.event-feed .product-text::after {
    position:absolute;
    bottom:40px;
    left:40px;
    content:'More';
    display:block;
    font-size:24px;
    color:#d91a53;
    text-transform:uppercase;
    font-weight:bold;
}

/* ==========================================================================
   feeds
 ========================================================================== */
.event h4,
.event h5,
.product h2 {
    line-height:0.8;
}

/* ==========================================================================
   items
 ========================================================================== */
.item.graphic {
    display: inline-block;
    width: 50%;
    max-width: 100%;
    float: right;
    margin-left: 4%;
    margin-bottom: 4%;
}


/* ==========================================================================
   Footer
 ========================================================================== */
footer.bottom {
    margin-top:100px;
}
footer .logo {
    width:600px;
    height: 20px;
    max-width: 100%;
    position:absolute;
}
footer .contentwrap {
    background-color: #fff;
}
.site-map {
    text-align: right;
    padding-left: 620px;
    text-transform: uppercase;
}
.site-map ul {
    padding:0;
    margin:0;
    list-style:none;
}
.site-map li {
    display:inline-block;
}
.site-map a {
    display:block;
    padding:0 20px;
    text-decoration:none;
}
.site-map li > ul {
    display:none;
}
.site-map .subtitle {
    display:none;
}
.bykeo {
    margin-top: 20px;
}
.bykeo a {
    color: grey;
    text-decoration:none;
}
.bykeo img {
    vertical-align: middle;
    display: inline-block;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.bykeo a:hover img{
    transform-origin: center;
    transform: translateX(-200%) rotate(-360deg);
}

/* ==========================================================================
   Media Queries
 ========================================================================== */
@media only screen and (max-width:1800px) {
    .post-graphic {
        min-height:auto;
        margin: 0 20px;
        margin-top:-450px;
    }
}
@media only screen and (max-width:1300px) {
    .product h2 {
        font-size: 3vw;
        line-height:3vw;
    }
    .event h4 {
        font-size:3vw;
    }
    .event-text h5 {
        font-size:2vw;
    }
    .event-graphic .date {
        font-size:2vw;
    }
    .event-graphic .date .day {
        font-size:6vw;
    }
    .event-tag {
        font-size:4vw;
    }
}
@media only screen and (max-width:1200px) {
    .page-graphic {
        padding-bottom:50px;
    }
    .post-graphic {
        margin-top: -100px;
    }
    footer .logo {
        position:static;
    }
    .site-map {
        padding-top:20px;
        padding-left:20px;
    }
}
@media only screen and (max-width:1100px){
    header.top .logo {
        width:130px;
        height:70px;
        top: 20px;
        margin-top:0;
    }
    .header-menu {
        padding-left:150px;
    }
    .main-menu {
        padding-left:0;
    }
/** event feed **/
    .event {
        min-height: 0;
    }
    .event.event-tile .event-text,
    .sub-page .event .event-text,
    .event.product-tile .event-text {
        padding-bottom: 20px;
    }
    .event-tag {
        position: static;
        font-size: 30px;
        padding-left: 40px;
    }
    .event.product-tile .event-tag {
        padding-left: 52%;
    }
    .sub-page .event .event-text::after {
        position: static;
    }
}
@media only screen and (max-width:960px){
/** headings smaller **/
    .page-graphic {
        font-size: 18px;
        padding-top: 50px;
        min-height: 250px;
        box-sizing: border-box;
    }
    .page-graphic h1,
    .page-graphic h2 {
        font-size: 40px;
    }
    .t-splash .page-graphic p {
        max-width: 100%;
    }
/** header **/
    header.top .contentwrap {
        padding: 20px;
    }
    header.top .logo {
        position:static;
    }
    header.top .logo img {
        width:300px;
        height:150px;
        max-width:100%;
        display:block;
        margin:0 auto;
        margin-bottom: 20px;
    }
    .header-menu {
        padding-left: 0;
        text-align: center;
    }
    #mobile-menu {
        display:block;
    }
    .main-menu {
        display:none;
    }
    .slide-menu {
        display:block;
    }
    .slide-menu-active .site-content-menu-slide {
        right: 240px;
    }
    .slide-menu-active #mobile-menu {
        right: 260px;
    }
/** subpages + events**/
    .event {
        min-height:0;
        margin-bottom: 20px;
    }
    .event.event-tile .event-text,
    .sub-page .event .event-text,
    .event.product-tile .event-text {
        padding-right:40px;
        padding-left:40px;
    }
    .event-graphic {
        position: relative;
        width:auto;
        height: 200px;
    }
    .event-graphic .date,
    .sub-page .event-graphic .date{
        right:0;
        width: 100%;
        font-size: 18px;
        vertical-align: bottom;
        backgground-color: transparent;
        background-color: rgba(255,255,255,0.7);
        padding-bottom:0;
    }
    .event-graphic .date .day,
    .sub-page .event-graphic .date .day {
        display: inline-block;
        font-size: 18px;
        margin-right: 10px;
        margin-bottom: 0;
    }
    .event-text p:first-of-type {
        margin-top: 20px;
    }
    .event.product-tile .event-tag {
        padding-left:40px;
    }
/** items **/
    .item.graphic {
        width: auto;
        float: none !important;
        margin: 20px 0;
    }
}
@media only screen and (max-width:760px){
    .page-graphic h1,
    .page-graphic h2,
    .event-tag {
        font-size: 9vw;
    }
/** header **/
    header.top .logo img {
        width: 150px;
        height: 77px;
    }
/** subpages n action indexes **/
    .contentwrap,
    .post-graphic,
    .event.event-tile .event-text,
    .sub-page .event .event-text,
    .event.product-tile .event-text {
        padding: 20px;
    }
    .post-graphic {
        margin-top: -45px;
    }
    .event h4 {
        font-size:30px;
    }
    .event-text h5 {
        font-size:20px;
    }
    .event-text p {
        font-size: 18px;
    }
    .sub-page .event .event-text::after {
        position: static;
    }
    .event-tag,
    .event.product-tile .event-tag {
        padding: 20px;
        padding-top:0;
    }
/*** contact ***/
    .contact.table {
        display: block;
        height: auto;
    }
    .t-contact .col {
        display: block;
        width: 100%;
    }
    .t-contact .col.form {
        padding-right:0;
        padding-bottom: 20px;
    }
    .t-contact .col.map {
        padding-left:0;
    }
/*** footer ***/
    footer.bottom {
        margin-top: 40px;
    }
    footer .contentwrap,
    .site-map {
        text-align: center;
    }
    .site-map {
        padding-left:0;
        padding-bottom: 20px;
    }
}
@media only screen and (max-width: 600px){
/** contact **/
    span.half,
    .contact-details {
        width: 100%;
        padding-left:0;
        padding-right:0;
    }
}